aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorSelene ToyKeeper2024-03-12 13:17:47 -0600
committerSelene ToyKeeper2024-03-12 13:17:47 -0600
commit8dbc5c8b694a5a60b5f2bbc4228037eff119ba68 (patch)
tree4e2404dcbc74c175bc9c60a68bb18708f15cb521 /bin
parentadded wurkkos-ts25-boost (early version made from spec, no clue if it works) (diff)
parentenabled eeprom read/write stabilization by default on recent MCUs, (diff)
downloadanduril-8dbc5c8b694a5a60b5f2bbc4228037eff119ba68.tar.gz
anduril-8dbc5c8b694a5a60b5f2bbc4228037eff119ba68.tar.bz2
anduril-8dbc5c8b694a5a60b5f2bbc4228037eff119ba68.zip
Merge branch 'trunk' into wurkkos-ts25-boost
* trunk: enabled eeprom read/write stabilization by default on recent MCUs, to prevent corrupt data thefreeman-avr32dd20-devkit: enable boost bypass at boot, so AA/NiMH can boot avr32dd20-devkit: use unimplemented "CH" pin as a boost bypass control added "emisar-2ch-fet-joined" build, for D4S w/ lighted switch documented FW3X swapped pins better documented Wurkkos TS25/TS11/FC13 distinctions build.sh: don't require DFPs, newer avr-libc doesn't need them use BLIP_LEVEL instead of 0 for "blip"s clarified which-hex-file.md a bit; make sure the model number matches fw3x: reduced pulsing on low modes
Diffstat (limited to '')
-rwxr-xr-xbin/build.sh14
1 files changed, 8 insertions, 6 deletions
diff --git a/bin/build.sh b/bin/build.sh
index d044ca5..ed0a837 100755
--- a/bin/build.sh
+++ b/bin/build.sh
@@ -37,12 +37,14 @@ else
echo "Unrecognized MCU type: '$MCUNAME'"
exit 1
fi
-# ensure the DFP files exist
-if [ ! -d "$DFPPATH" ]; then
- echo "Atmel DFP files not found: '$DFPPATH'"
- echo "Install DFP files with './make dfp'"
- exit 1
-fi
+# skip verification because newer avr-libc doesn't need DFPs,
+# so the DFP shouldn't be mandatory
+## ensure the DFP files exist
+#if [ ! -d "$DFPPATH" ]; then
+# echo "Atmel DFP files not found: '$DFPPATH'"
+# echo "Install DFP files with './make dfp'"
+# exit 1
+#fi
export CC=avr-gcc
export CPP=avr-cpp